<?php

namespace Internal\Internal\Seeders;

use DB;
use Illuminate\Database\Seeder;

class InternalTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('internals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'internal.internal.view',
                'name'      => 'View Internal',
            ],
            [
                'slug'      => 'internal.internal.create',
                'name'      => 'Create Internal',
            ],
            [
                'slug'      => 'internal.internal.edit',
                'name'      => 'Update Internal',
            ],
            [
                'slug'      => 'internal.internal.delete',
                'name'      => 'Delete Internal',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'internal.internal.verify',
                'name'      => 'Verify Internal',
            ],
            [
                'slug'      => 'internal.internal.approve',
                'name'      => 'Approve Internal',
            ],
            [
                'slug'      => 'internal.internal.publish',
                'name'      => 'Publish Internal',
            ],
            [
                'slug'      => 'internal.internal.unpublish',
                'name'      => 'Unpublish Internal',
            ],
            [
                'slug'      => 'internal.internal.cancel',
                'name'      => 'Cancel Internal',
            ],
            [
                'slug'      => 'internal.internal.archive',
                'name'      => 'Archive Internal',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/internal/internal',
                'name'        => 'Internal',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/internal/internal',
                'name'        => 'Internal',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'internal',
                'name'        => 'Internal',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Internal',
                'module'    => 'Internal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'internal.internal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
