Lavalite package that provides internal management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `internal/internal`.

    "internal/internal": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Internal\Internal\Providers\InternalServiceProvider::class,

And also add it to alias

    'Internal'  => Internal\Internal\Facades\Internal::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Internal\\Internal\\Seeders\\InternalTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Internal\Internal\Providers\InternalServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Internal\Internal\Providers\InternalServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Internal\Internal\Providers\InternalServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/internal/{modulename}

**User**

    http://path-to-route-folder/user/internal/{modulename}

**Public**

    http://path-to-route-folder/internals


### API endpoints

**List**

    http://path-to-route-folder/api/user/internal/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/internal/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/internal/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/internal/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/internal/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/internal/{modulename}/{slug}
    METHOD: GET