<?php

namespace Internal\Internal\Repositories\Eloquent;

use Internal\Internal\Interfaces\InternalRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Internal\Internal\Repositories\Eloquent\Presenters\InternalItemPresenter;


class InternalRepository extends BaseRepository implements InternalRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('internal.internal.internal.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('internal.internal.internal.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return InternalItemPresenter::class;
    }
}
