<?php

namespace Internal\Internal\Workflow;

use Internal\Internal\Models\Internal;
use Internal\Internal\Notifications\InternalWorkflow as InternalNotifyer;
use Notification;

class InternalNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function complete(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function verify(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function approve(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function publish(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function archive(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Internal $internal
     *
     * @return void
     */
    public function unpublish(Internal $internal)
    {
        return Notification::send($internal->user, new InternalNotifyer($internal, 'unpublish'));;

    }
}
